export function calcularAreaRectangulo(ancho, largo) {
    try {
        validarNumero(ancho);
        validarNumero(largo);
        const area = ancho * largo;
        return area;
    }catch(err) {
        console.log(err);
    }
}

class ErrorValidacion extends Error {
    constructor(nombre, descripcion){
        super(descripcion);
        this.nombre = nombre;
    }
}

class SeRequiereUnNumero extends ErrorValidacion {
    constructor(message) {
        super(message);
    }
}

function validarNumero(valor, nombre) {
    if(typeof(valor) !== 'number' && valor !== NaN){
        throw new SeRequiereUnNumero(`El ${nombre} ingresado no es un numero`);
    }
}
